Name:           perl-HTML-Tidy
Version:        1.54
Release:        9%{?dist}
Summary:        (X)HTML cleanup in a Perl object
License:        Artistic 2.0 and (GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/HTML-Tidy/
Source0:        http://www.cpan.org/authors/id/P/PE/PETDANCE/HTML-Tidy-%{version}.tar.gz
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# needed by webtidy to fetch URLs
Requires:       perl(LWP::Simple)
# non-perl
BuildRequires:  libtidyp-devel
BuildRequires:  perl(base)
BuildRequires:  perl(constant)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker) 
BuildRequires:  perl(Test::Builder) 
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XSLoader)
# optional tests
BuildRequires:  perl(Test::Pod) 
BuildRequires:  perl(Test::Pod::Coverage)

%{?perl_default_filter}

%description
HTML::Tidy is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user 
looking to migrate, see the section "Converting from HTML::Lint".

%prep
%setup -q -n HTML-Tidy-%{version}
find .  -type f -exec chmod -c -x                              {} +
find .  -type f -exec perl -pi -e 's/\r//'                     {} +
find t/ -type f -exec perl -pi -e 's|^#!perl|#!/usr/bin/perl|' {} +

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} + 
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README* t/
%{perl_vendorarch}/auto/HTML/
%{perl_vendorarch}/HTML/
%{_bindir}/webtidy
%{_mandir}/man3/HTML::Tidy.3pm*
%{_mandir}/man3/HTML::Tidy::Message.3pm*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.54-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 Petr Šabata <contyk@redhat.com> - 1.54-8
- Correct the license tag (HTML::Tidy::Message uses the "Perl" license)

* Mon Nov 12 2012 Petr Šabata <contyk@redhat.com> - 1.54-7
- Fix dependencies
- Modernize the spec a bit

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.54-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 12 2012 Petr Pisar <ppisar@redhat.com> - 1.54-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.54-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.54-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.54-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 30 2010 Paul Howarth <paul@city-fan.org> - 1.54-1
- Update to 1.54
- Build against libtidyp rather than libtidy
- License changed from "same as Perl" to Artistic 2.0
- Drop old patch, no longer needed
- README changed to README.markdown
- Add dependencies on perl(Exporter) and perl(LWP::Simple)
- Use %%{?perl_default_filter}

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.08-7
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.08-6
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.08-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 13 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.08-3
- bump

* Thu Oct 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.08-2
- apply patch from rt tracker
- misc spec cleanups

* Fri May 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.08-1
- Specfile autogenerated by cpanspec 1.71.
